Package com.ngrok.definitions

# Class EventSourceReplace

java.lang.Object
com.ngrok.definitions.EventSourceReplace

public class EventSourceReplace extends Object
A class encapsulating the `EventSourceReplace` resource.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EventSourceReplace.Builder`
  Builder class for `EventSourceReplace`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getType()`
  Type of event for which an event subscription will trigger
  `int`
  `hashCode()`
  `static EventSourceReplace.Builder`
  `newBuilder()`
  Creates a new builder for the `EventSourceReplace` type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### newBuilder

    public static EventSourceReplace.Builder newBuilder()
    Creates a new builder for the `EventSourceReplace` type.
    Returns:
      a new `EventSourceReplace.Builder`

  - ### getType

    public String getType()
    Type of event for which an event subscription will trigger
    Returns:
      the value of the property as a `String`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`